summaryrefslogtreecommitdiffstats
path: root/reporting/docker
diff options
context:
space:
mode:
Diffstat (limited to 'reporting/docker')
-rwxr-xr-xreporting/docker/reporting.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/reporting/docker/reporting.sh b/reporting/docker/reporting.sh
index 1de13ae..7f5b005 100755
--- a/reporting/docker/reporting.sh
+++ b/reporting/docker/reporting.sh
@@ -32,6 +32,22 @@ cp -Rf js display
# yardstick |
# storperf |
+function report_project()
+{
+ project=$1
+ dir=$2
+ type=$3
+ echo "********************************"
+ echo " $project reporting "
+ echo "********************************"
+ python ./$dir/reporting-$type.py
+ if [ $? ]; then
+ echo "$project reporting $type...OK"
+ else
+ echo "$project reporting $type...KO"
+ fi
+}
+
if [ -z "$1" ]; then
echo "********************************"
echo " Functest reporting "
@@ -60,6 +76,8 @@ if [ -z "$1" ]; then
python ./storperf/reporting-status.py
echo "Storperf reporting status...OK"
+ report_project "QTIP" "qtip" "status"
+
else
if [ -z "$2" ]; then
reporting_type="status"